CFD Online Logo CFD Online URL
Home > Forums > OpenFOAM Installation

mesquiteMotionSolver compilation error (1.6-extend)

Register Blogs Members List Search Today's Posts Mark Forums Read

LinkBack Thread Tools Display Modes
Old   May 14, 2011, 12:57
Default mesquiteMotionSolver compilation error (1.6-extend)
New Member
Anirban Jana
Join Date: Apr 2010
Location: Pittsburgh, PA, USA
Posts: 19
Rep Power: 7
jans is on a distinguished road
I am getting errors in compiling OpenFoam 1.6-ext using gcc 4.5.2. Some seem to be related to gcc (I dont know if these matter) but a couple of errors are related to MsqIRel.hpp. I have copied some hpp files from mesquite src (v2.1.4 as I didn't find v2.1.2 src code) to Thirdparty mesquite include dir foll the advice in this thread:

The errors are listed below. Please advice:

wmake libso mesquiteMotionSolver

/usr/local/packages/gcc/gcc-4.5.2/lib/gcc/x86_64-unknown-linux-gnu/4.5.2/../../../../include/c++/4.5.2/x86_64-unknown-linux-gnu/bits/c++locale.h:52:23: error: ‚uselocale‚ was not declared in this scope

/usr/local/packages/gcc/gcc-4.5.2/lib/gcc/x86_64-unknown-linux-gnu/4.5.2/../../../../include/c++/4.5.2/x86_64-unknown-linux-gnu/bits/c++locale.h:52:45: error: invalid type in declaration before ‚;‚ token
/usr/local/packages/gcc/gcc-4.5.2/lib/gcc/x86_64-unknown-linux-gnu/4.5.2/../../../../include/c++/4.5.2/x86_64-unknown-linux-gnu/bits/c++locale.h:72:53: error: ‚__gnu_cxx::__uselocale‚ cannot be used as a function
/usr/local/packages/gcc/gcc-4.5.2/lib/gcc/x86_64-unknown-linux-gnu/4.5.2/../../../../include/c++/4.5.2/x86_64-unknown-linux-gnu/bits/c++locale.h:97:33: error: ‚__gnu_cxx::__uselocale‚ cannot be used as a function
/usr/local/packages/OpenFOAM/1.6-ext/OpenFOAM-1.6-ext/ThirdParty/packages/mesquite-2.1.2/platforms/linux64GccDPOpt/include/MsqIRel.hpp:51:12: error: ‚iRel_PairHandle‚ has not been declared
/usr/local/packages/OpenFOAM/1.6-ext/OpenFOAM-1.6-ext/ThirdParty/packages/mesquite-2.1.2/platforms/linux64GccDPOpt/include/MsqIRel.hpp:96:3: error: ‚iRel_PairHandle‚ does not name a type

/usr/include/bits/stdio.h:118:52: error: ‚__getdelim‚ was not declared in this scope
jans is offline   Reply With Quote


msqirel.hpp compile error, openfoam 1.6-ext

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On

Similar Threads
Thread Thread Starter Forum Replies Last Post
Extend Project Release 1.6-ext hjasak OpenFOAM Announcements from Other Sources 33 July 14, 2011 18:54
errors during compilation and installation of OpenFOAM-1.7.x on Ubuntu 10.04 ftec OpenFOAM Installation 7 February 23, 2011 07:07
Compilation error with uparm.f Raghu CD-adapco 2 May 30, 2007 02:09
How to extend the time for particles track? Mary FLUENT 0 February 8, 2006 01:05
Compilation Error.... Arnab CD-adapco 4 September 12, 2004 15:54

All times are GMT -4. The time now is 20:47.